#!/usr/bin/env bash
#set -x
set -o posix
#set -u
#set -e
#+
#
# ==================
# Flist_archfile.sh
# ==================
#
# --------------------------
# Check the compilation file
# --------------------------
#
# SYNOPSIS
# ========
#
# ::
#
#  $ Flist_archfile.sh
#
#
# DESCRIPTION
# ===========
#
#
# List arch file available.
# The first line of each file in NEMO/ARCH directory is echoed.  
#
#
# EXAMPLES
# ========
#
# ::
#
#  $ ./Flist_archfile.sh 
#
#
# TODO
# ====
#
# option debug
#
#
# EVOLUTIONS
# ==========
#
# $Id: Flist_archfile.sh 2520 2010-12-27 14:43:36Z rblod $
#
#
#
#   * creation
#
#-
echo "Available compilers for -m option :"
for file in `ls ${MAIN_DIR}/ARCH`
do
zvar1=${file#arch-}
zvar2=$(head -1 ${MAIN_DIR}/ARCH/$file)
#echo "${zvar1%.fcm} : ${zvar2#\#}"
printf "%-20s %s %-s\n" "${zvar1%.fcm}" : "${zvar2#\#}"
done
